# OpalSilenceDetector::Params Struct Reference

`#include <silencedetect.h>`

List of all members.

## Public Member Functions

| Params (Mode mode=AdaptiveSilenceDetection, unsigned threshold=0, unsigned signalDeadband=80, unsigned silenceDeadband=3200, unsigned adaptivePeriod=4800)

## Public Attributes

Mode | m_mode
unsigned | m_threshold
| Silence detection mode.
unsigned | m_signalDeadband
| Threshold value if FixedSilenceDetection.
unsigned | m_silenceDeadband
| 10 milliseconds of signal needed
unsigned | m_adaptivePeriod
| 400 milliseconds of silence needed

## Constructor & Destructor Documentation

OpalSilenceDetector::Params::Params | ( | Mode | mode = `AdaptiveSilenceDetection`,
|  | unsigned | threshold = `0`,
|  | unsigned | signalDeadband = `80`,
|  | unsigned | silenceDeadband = `3200`,
|  | unsigned | adaptivePeriod = `4800` |
| ) |  |  | `[inline]`

Parameters:

  mode | New silence detection mode
  threshold | Threshold value if FixedSilenceDetection
  signalDeadband | 10 milliseconds of signal needed
  silenceDeadband | 400 milliseconds of silence needed
  adaptivePeriod | 600 millisecond window for adaptive threshold

## Member Data Documentation

Mode OpalSilenceDetector::Params::m_mode

unsigned OpalSilenceDetector::Params::m_threshold

Silence detection mode.

unsigned OpalSilenceDetector::Params::m_signalDeadband

Threshold value if FixedSilenceDetection.

unsigned OpalSilenceDetector::Params::m_silenceDeadband

10 milliseconds of signal needed

unsigned OpalSilenceDetector::Params::m_adaptivePeriod

400 milliseconds of silence needed

The documentation for this struct was generated from the following file:

- silencedetect.h